#!/bin/sh

function generate_links
{
  local index_file name file lineno

  index_file="$1"
  
  command='sed '
  { 
    while read file lineno name; do
      command="$command -e "\''s,\['"$name"'\],<A NAME="'"$name"'">,g'\'
      command="$command -e "\''s,&laquo;'"$name"'&raquo;,<A HREF="'"$file"\#"$name"'">'"$name"'</A>,g'\'
    done
  } < "$index_file"

  eval "$command"
}

function generate_headers
{
  local index_file name this_file

  index_file="$1"
  this_file=`echo $2 | sed 's,.*/,,' | sed 's,\..*$,,'`

  name=`grep "^$this_file" "$index_file" | head -1 | sed s,'^[^ ]* [^ ]* ,,'`
  sed 's,<HTML>,<HTML>\
<HEAD>\
<TITLE>'"$name"'</TITLE>\
</HEAD>,'
}


cat "$2" | generate_links "$1"  | generate_headers "$1" "$2"
