#!/bin/sh

function make_targets_file
{
  local file line line_nr error targets_file files

  targets_file="$1"
  shift
  files="$@"
  echo -n "" > "$targets_file"

  for file in $files; do
    (
      line_nr=1
      while read line; do
        error=0
        while [ $error -eq 0 ] && echo $line | grep -q '\[' ; do
          if ! echo $line | grep -q '\[.*\]'; then
            echo "In \`$file\' line $line_nr: target brackets inbalance" >&2
            error=1
          else 
            echo -n "$file $line_nr " >> "$targets_file"
            echo $line | sed -e 's,^[^\[]*\[,,' -e 's,\].*$,,' \
                 >> "$targets_file"
          fi
          line=`echo $line | sed -e 's,^[^]]*\],,'`
        done
        if [ $error -eq 0 ] && echo $line | grep -q '\]' ; then
          echo "In \`$file\' line $line_nr: target brackets inbalance" >&2
          error=1
        fi
        line_nr=$[$line_nr+1]
      done
    ) < $file
  done
}


make_targets_file "$@"
