/*
    psiconv.h - Part of psiconv, a PSION 5 file formats converter
    Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef PSICONV_PSICONV_H
#define PSICONV_PSICONV_H

#include "psiconv/data.h"

typedef int output_function(const char *filename, const psiconv_file,
                            const char *type);

typedef struct psiconv_fileformat_s {
  const char *name;
  const char *description;
  output_function *output;
} *psiconv_fileformat;

psiconv_list fileformat_list; /* of struct psiconv_fileformat */

#endif /* PSICONV_GEN_H */
